for alpha = .1:.1:.6;
% for gamma = .1:.1:.3;
DXX = XX;
for iter = 10:20:90;
    DXX = diffuse(DXX,alpha,1);
%     pshow(DXX>gamma,sprintf('diffusion/diff_a-%d_g-%d_k-%d',round(alpha*10),round(gamma*10),iter));
    pshow(DXX,sprintf('diffusion/diff_a-%d_k-%d',round(alpha*10),iter));
end;
end;
% end;